Package: groovy.json.internal

## [Java] Interface ValueMap<K, V>

- Authors:
    Richard Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(MapItemValue miv)`
    `` | `boolean` | `hydrated()` Has the map been hydrated.
    `` | `Entry<String, Value>[]` | `items()` Give me the items in the map without hydrating the map.
    `` | `int` | `len()` Return size w/o hydrating the map.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Map` | `remove, remove, size, get, put, equals, values, hashCode, copyOf, clear, isEmpty, replace, replace, replaceAll, of, of, of, of, of, of, of, of, of, of, of, merge, entrySet, putAll, putIfAbsent, compute, entry, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, ofEntries`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void add(MapItemValue miv)

    - #### public boolean hydrated()

      Has the map been hydrated.

    - #### public Entry<String, Value>[] items()

      Give me the items in the map without hydrating the map. Realize that the array is likely larger than the length so array items can be null.

    - #### public int len()

      Return size w/o hydrating the map.